/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

/* stylelint-disable selector-no-qualifying-type */


nv-dialog-alert,
nv-dialog-confirm,
nv-dialog-prompt,
nv-dialog-action,
nv-dialog {
  display: none;
}

.nv-dialog {
  @extend .transition-entrance;
  align-items: center;
  display: none;
  display: flex;
  height: 100%;
  justify-content: center;
  left: 0;
  overflow: hidden;
  position: fixed;
  text-align: left;
  top: 0;
  width: 100%;
  z-index: 1100;

  &::before {
    background-color: var(--nv-theme-alt-1);
    content: '';
    height: 100%;
    left: 0;
    opacity: 0.98;
    pointer-events: none;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 0;
  }

  &.closed {
    display: none;
    opacity: 0;
    visibility: hidden;
  }

  .nv-ripples {
    display: none;
  }

  &.prepare-opening {
    @extend .transition-entrance;
    opacity: 1;
  }

  &.opening {
    @extend .transition-entrance;
    opacity: 1;
  }

  &.flying {
    opacity: 1;
    visibility: visible;
  }

  &.hiding,
  &.closing {
    @extend .transition-exit;
    opacity: 0;
  }

  .nv-dialog-container {
    @extend .transition-exit;
    background-color: var(--nv-theme);
    border: 1px solid var(--nv-theme);
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    height: auto;
    max-height: 90%;
    max-width: 500px;
    min-width: 320px;
    opacity: 0;
    overflow: hidden;
    position: relative;
    transform: scale(1.1);

    .nv-button-native {
      border-radius: 0;
    }

    &.nv-dialog-select {
      grid-template-rows: auto 1fr 50px;
    }

    .nv-dialog-header {
      font-family: 'FiraGO Medium Italic';
      font-size: 24px;
      line-height: 28px;
      margin: 0 $space-md;
      padding: $space-lg 0 $space-md;
      text-align: center;
    }

    .nv-dialog-title {
      font-size: 20px;
      margin: 4px 0;
      text-align: center;
    }

    .nv-dialog-body {
      font-family: 'FiraGo Italic';
      overflow-y: auto;
      padding: $space-lg $space-lg 0;

      li {
        padding: $space-md;
        position: relative;

        &[aria-selected] {
          color: var(--nv-theme-primary);
        }
        
        &:not(:last-child)::before {
          background-color: var(--nv-theme-alt-2);
          bottom: 0;
          content: '';
          height: 1px;
          left: 0;
          margin: 0 $space-md;
          position: absolute;
          width: calc(100% - #{$space-big});
        }
      }

      &.no-padding {
        padding: 0;
      }
    }
    
  }

  &.nv-dialog-prompt {
    .nv-dialog-container .nv-dialog-body {
      padding-bottom: 0;
      padding-top: $space-lg;
    }
  }
  
  &.opened .nv-dialog-container {
    @extend .transition-entrance;
    opacity: 1;
    transform: scale(1);
  }

  &.closing .nv-dialog-container {
    @extend .transition-exit;
    opacity: 0;
    transform: scale(1.1);
  }

  .nv-dialog-action-container {
    background-color: var(--nv-theme);
    display: block;
    margin-top: $space-lg;

    .nv-button,
    nv-button {
      display: block;
      flex-basis: 0;
      flex-grow: 1;
      width: 100%;
    }

    .nv-button {
      padding: 0;
    }

    nv-button {
      &:not(last-child) {
        border-top: 1px solid var(--nv-theme-alt-2);
      }
    }
  }

  .nv-dialog-footer {
    border-top: 1px solid var(--nv-theme-alt-2);
    display: flex;
    flex-wrap: wrap;
    margin-top: $space-lg;
    min-height: 48px;

    div[slot] {
      display: flex;
      flex-wrap: wrap;
      width: 100%;
    }

    .nv-button,
    nv-button {
      flex-basis: 0;
      flex-grow: 1;
      max-width: 100%;
      
      &:first-child {
        border-right: 1px solid var(--nv-theme-alt-2);
      }
    }

    nv-button {
      .nv-button {
        width: 100%;
      }
    }

    .nv-button-native,
    button {
      background-color: transparent;
      border-color: none;
      border-style: none;
      border-width: 0;
      flex-basis: 0;
      flex-grow: 1;
      margin: 0;
      max-width: 100%;
      min-height: 1px;
      position: relative;
      width: 100%;
    }
  }

  /**
    Header
  */

  header ~ .nv-dialog-body {
    padding-top: 0 !important;
  }

  /**
    Footer
  */

  .nv-dialog-action-container ~ footer {
    margin-top: 0 !important;
  }
}

@media (max-width: 480px) {
  .nv-dialog .nv-dialog-container {
    max-width: 320px;
  }
}


.nv-dialog-action-container nv-button,
.nv-dialog-footer nv-button {
  --border-bottom-width: 0;
  --border-radius: 0;
}

.nv-dialog-action .nv-dialog-footer nv-button {
  border-right: 0 !important;
}
